%define nsusr opuser 
%define nsgrp users
%define  debug_package %{nil}

Summary: A plugin collection for Application Server Monitoring 
Name: opmon-appserver-monitor
Version: 6.2.8
Release: 1
Group: Applications/Network
URL: http://www.opservices.com.br
Distribution: CentOS Linux
License: GPL
Source0: %{name}-%{version}.tar.gz
Vendor: OpServices Tecnologia Informacao
Prefix: /usr/local/opmon/libexec
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch

Provides: opmon-appserver-monitor
Obsoletes: opservices-appserver-monitor
Requires: opmon-groovy,websphere-jre

%description
An Application Server monitoring plugin collection.
It provides monitoring tools for JVMs, Tomcat and 
Websphere connecting through JMX.

%prep
# uncompress and go to directory
%setup -q
find . -name .svn |xargs rm -rf

%build
# the compilation

%install
# the installation process
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
install -d -m 0755 ${RPM_BUILD_ROOT}/usr/local/opmon/libexec/appserver-monitor
install -d -m 0755 ${RPM_BUILD_ROOT}/usr/local/opmon/libexec/appserver-monitor/daemons
install -d -m 0755 ${RPM_BUILD_ROOT}/usr/local/opmon/libexec/appserver-monitor/scripts
cp -frp daemons/* ${RPM_BUILD_ROOT}/usr/local/opmon/libexec/appserver-monitor/daemons
cp -frp scripts/* ${RPM_BUILD_ROOT}/usr/local/opmon/libexec/appserver-monitor/scripts
chown -R %{nsusr}.%{nsgrp} ${RPM_BUILD_ROOT}/usr/local/opmon/libexec/appserver-monitor
rm -fR ${RPM_BUILD_ROOT}/usr/lib

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# before install

%post
# post install

%files
%defattr(755,%{nsusr},%{nsgrp})
/usr/local/opmon/libexec/appserver-monitor
